VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo:

## Avaliable Methods
public method | set_documentation ()
public method | get_value ()
public method | get_documentation ()
public method | set_value ()
public method | new ()
public method | set_metadata ()
public method | get_metadata ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo` class describes the enumeration value in the enumerated type .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for an enumeration value. It can contain HTML markup and documentation tags (similar to Javadoc tags). The first statement will be a noun or verb phrase that describes the purpose of the enumeration value. String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::get_metadata | ( |  | ) |

Gets the value of 'metadata' property.

Return values

  metadata | - The current value of the field. Additional metadata for enumeration value in the enumerated type. The key in the map* is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Map#

Code:
click to view
# Number of lines of code in get_metadata: 4
sub get_metadata {
my ($self, %args) = @_;
return $self->{'metadata'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::get_value | ( |  | ) |

Gets the value of 'value' property.

Return values

  value | - The current value of the field. Value in the enumerated type. All the characters in the string are capitalized. String#

Code:
click to view
# Number of lines of code in get_value: 4
sub get_value {
my ($self, %args) = @_;
return $self->{'value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{value} = $args{'value'};
$self->{metadata} = $args{'metadata'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.enumeration_value_info');
$self->set_binding_field('key' => 'value', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'metadata', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementMap')}))));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for an enumeration value. It can contain HTML markup and documentation tags (similar to Javadoc tags). The first statement will be a noun or verb phrase that describes the purpose of the enumeration value.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::set_metadata | ( |  | ) |

Sets the given value for 'metadata' property.

Parameters

  metadata | - New value for the field. Additional metadata for enumeration value in the enumerated type. The key in the map* is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Code:
click to view
# Number of lines of code in set_metadata: 5
sub set_metadata {
my ($self, %args) = @_;
$self->{'metadata'} = $args{'metadata'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::EnumerationValueInfo::set_value | ( |  | ) |

Sets the given value for 'value' property.

Parameters

  value | - New value for the field. Value in the enumerated type. All the characters in the string are capitalized.

Code:
click to view
# Number of lines of code in set_value: 5
sub set_value {
my ($self, %args) = @_;
$self->{'value'} = $args{'value'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/EnumerationValueInfo.pm